/* --------- Contact Me --------- */

.contact-wraper{
    border-radius: 16px;
    display: flex;
    width:  80%;
    height: 75vh;
    object-fit: contain;
    justify-content: space-evenly;
    align-items: center;
    margin: auto;
    background-color: #fc9f5b;
}

.contact-form{
    display: flex;
    flex-direction: column;
    align-items: start;
    gap: 10px;
}
.contact-form textarea{
    height: 200px;
    padding-top: 10px;
    border-radius: 8px;
}
.contact-form button{
    display: flex;
    align-items: center;
    padding: 10px 10px;
    font-size: 16px;
    gap: 10px;
    border: none;
    border-radius: 16px;
    color: seashell;
    background: linear-gradient(270deg, #54B500, #3891A6);
    cursor: pointer;
    background-size: 300% 100%;
    background-position: left;
    transition: background-position 0.4s ease;
}
.contact-form button:hover {
    background-position: right;
}


.contact-title h2{
    font-size: 40px;
    color: #3891A6;
    margin-bottom: 5px;
}
.contact-title hr{
    border: none;
    background-color: #3891A6;
    width: 200px;
    height: 5px;
    border-radius: 16px;
    margin-bottom: 20px;
}

.contact-input{
    width: 400px;
    height: 50px;
    border: none;
    outline: none;
    padding-left: 10px;
    border-radius: 16px;
}
.contact-input:focus{
    border: 2px solid #0c1618ff;
}
.contact-input::placeholder{
    color: #65655eff;
}

/* --------- Mobile --------- */
@media (max-width: 768px) {
    /* --------- Mobile Contact me Adjustments --------- */
    .contact-form{
        gap: 5px

    }
    .contact-wraper {
        width: 95%;
    }
    
    .contact-title h2{
        font-size: 25px;
    }
    .contact-title hr{
        font-size: 10px;
        height: 3px;
        width: 100px;
    }

    .contact-input{
        width: 200px;
    }

    /* --------- Mobile Header Adjustments --------- */

    .header h1 {
      font-size: 28px;
      float: none;
      display: block;
      width: 100%;
      box-sizing: border-box;
      margin: 0;
      padding: 5px;
      font-size: clamp(22px, 5vw, 36px);
    }
    .header h2 {
      float: none;
      display: block;
      width: 100%;
      box-sizing: border-box;
      margin: 0;
      padding: 5px;
      font-size: 20px;
    }
  }
/* --------- Header, Footer, and Body --------- */
.header {
    overflow: hidden;
    top: 10px;
    background-color: rgba(255, 145, 0, 0.816);
    padding: 5px;
    border-radius: 16px;
    border: #0c1618ff;
    margin: 10px;
  }
  .header h1, h1:visited{
    float: left;
    font-family: "Sekuya", system-ui;
    color: #0c1618ff;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 18px;
  }
  .header h1.hover {
    background-color: #ff0022c7;
    color: inherit;
  }
  .header h1.active {
    background-color: #ff002250;
    color: inherit;
  }
  .header h2 {
    position: relative;
    float: right;
    font-family: "Roboto", sans-serif;
    color: #0c1618ff;
    text-align: center;
    padding: 14px 16px;
    font-size: 18px;

    background: transparent;
    border-radius: 30px;
    overflow: hidden;
    z-index: 1;
}
.header h2::before {
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    background: rgb(255, 75, 75);
    border-radius: 16px;

    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);

    transition: width 0.4s ease, height 0.4s ease;

    z-index: -1;
}
.header h2:hover::before {
    width: 300px;
    height: 300px;
}
.header a, a:visited, a:hover, a:focus, a:active {
    color: inherit;
    text-decoration: none;
}

/*Sets anything labled "body" to have that background color*/
body{
  /*Cite Background Info*/
  background-image: url("live-images/background-1.avif");
  background-repeat: no-repeat; /*Stops the background from repeating if the background does not fill the page*/
  background-attachment: fixed; /*Makes the background streatch to the end of the page and not move with the page*/
  background-position: center; /*Centers the immage*/
  background-size: cover; /*Makes the background size shift as needed*/
  font-family: "PT Serif", serif;
  padding: 10px;
}

footer {
    top: 10px;
    width: 100%;
    text-align: center;
    font: 22px;
    background-color: rgba(255, 235, 205, 0.715);
    color: black;
  }


/* Got code from https://uiverse.io/david-mohseni/brave-shrimp-86 */
.wrapper {
    display: inline-flex;
    list-style: none;
    width: 100%;
    padding-top: 40px;
    font-family: "Poppins", sans-serif;
    box-sizing: border-box;
    justify-content: center;
  }
  .wrapper .icon {
    position: relative;
    background: #fff;
    border-radius: 50%;
    margin: 10px;
    width: 50px;
    height: 50px;
    font-size: 18px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    cursor: pointer;
    transition: all 0.2s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  }
  .wrapper .tooltip {
    position: absolute;
    top: 0;
    font-size: 14px;
    background: #fff;
    color: #fff;
    padding: 5px 8px;
    border-radius: 5px;
    box-shadow: 0 10px 10px rgba(0, 0, 0, 0.1);
    opacity: 0;
    pointer-events: none;
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  }
  .wrapper .tooltip::before {
    position: absolute;
    content: "";
    height: 8px;
    width: 8px;
    background: #fff;
    bottom: -3px;
    left: 50%;
    transform: translate(-50%) rotate(45deg);
    transition: all 0.3s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  }
  .wrapper .icon:hover .tooltip {
    top: -45px;
    opacity: 1;
    visibility: visible;
    pointer-events: auto;
  }
  .wrapper .icon:hover span,
  .wrapper .icon:hover .tooltip {
    text-shadow: 0px -1px 0px rgba(0, 0, 0, 0.1);
  }
  .wrapper .itchio:hover,
  .wrapper .itchio:hover .tooltip,
  .wrapper .itchio:hover .tooltip::before {
    background: #fa5c5c;
    color: #fff;
  }
  .wrapper .youtube:hover,
  .wrapper .youtube:hover .tooltip,
  .wrapper .youtube:hover .tooltip::before {
    background: #CD201F;
    color: #fff;
  }
  .wrapper .linkedin:hover,
  .wrapper .linkedin:hover .tooltip,
  .wrapper .linkedin:hover .tooltip::before {
    background: #0077B5;
    color: #fff;
  }
  
  .wrapper .github:hover,
  .wrapper .github:hover .tooltip,
  .wrapper .github:hover .tooltip::before {
    background: #8534F3;
    color: #fff;
  }
  .wrapper .icon a {
    color: inherit;
    text-decoration: none;
  }
  .wrapper .icon a:visited {
    color: inherit;
  }
  .wrapper .icon a:hover {
    color: inherit;
  }
  .wrapper .icon a:active {
    color: inherit;
  }
  